<?xml version="1.0" encoding="UTF-8"?>
<problem
    version="1.0"
    id ="io-2014-2015.20141220i.maniac"
>
    <judging>
        <script type="%ioi">
            <testset
                name="preliminary"

                input-name  ="maniac.in"
                output-name ="maniac.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit = "0.5s"
                memory-limit ="268435456"
            >
                <test points="0" comment="sample 1"/>
            </testset>

            <testset
                name ="main"
                input-name  ="maniac.in"
                output-name ="maniac.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="0.5s"
                memory-limit ="268435456"
            >
                <test-group
                    comment = "n &lt;= 1000"
                    score = "sum"
                    feedback = "outcome"
                    group_bonus = "60"
                >
                    <test points = "0" comment = "Random test, n=5"/>                
                    <test points = "0" comment = "Random test, n=5"/>                
                    <test points = "0" comment = "Random test, n=5"/>                
                    <test points = "0" comment = "Random test, n=5"/>                
                    <test points = "0" comment = "Random test, n=5"/>                
                    <test points = "0" comment = "Random test, n=20"/>                
                    <test points = "0" comment = "Random test, n=1000"/>                
                    <test points = "0" comment = "Random test, n=1000"/>                
                    <test points = "0" comment = "Random test, n=1000"/>                
                    <test points = "0" comment = "Random test, n=1000"/>                
                    <test points = "0" comment = "Random test, n=1000"/>                
                    <test points = "0" comment = "Random test, n=1000"/>                
                    <test points = "0" comment = "Random test, n=1000"/>                
                    <test points = "0" comment = "Random test, n=1000"/>                
                    <test points = "0" comment = "Random test, n=1000"/>                
                    <test points = "0" comment = "Random test, n=1000"/>                
                    <test points = "0" comment = "Random test, n=1000"/>                
                    <test points = "0" comment = "Equal strings, n = 7, ans = 0"/>                
                    <test points = "0" comment = "Equal strings, n = 1000, ans = 0"/>                
                    <test points = "0" comment = "Big test, n = 1000, ans = 1242"/>                
                </test-group>

                <test-group
                    comment = "n &lt;= 1000000"
                    score = "sum"
                    feedback = "outcome"
                    group_bonus = "40"
                >
                    <test points = "0" comment = "Random test, n=100000"/>                
                    <test points = "0" comment = "Random test, n=100000"/>                
                    <test points = "0" comment = "Random test, n=100000"/>                
                    <test points = "0" comment = "Random test, n=100000"/>                
                    <test points = "0" comment = "Random test, n=100000"/>                
                    <test points = "0" comment = "Random test, n=100000"/>                
                    <test points = "0" comment = "Random test, n=100000"/>                
                    <test points = "0" comment = "Random test, n=100000"/>                
                    <test points = "0" comment = "Random test, n=100000"/>                
                    <test points = "0" comment = "Random test, n=100000"/>                
                    <test points = "0" comment = "Random test, n=400000"/>                
                    <test points = "0" comment = "Random test, n=1000000"/>                
                    <test points = "0" comment = "Random test, n=1000000"/>                
                    <test points = "0" comment = "Random test, n=1000000"/>                
                    <test points = "0" comment = "Random test, n=1000000"/>                
                    <test points = "0" comment = "Random test, n=1000000"/>                
                    <test points = "0" comment = "Random test, n=1000000"/>                
                    <test points = "0" comment = "Equal strings, n = 1000000, ans = 0"/>                
                    <test points = "0" comment = "Equal strings, n = 1000000, ans = 0"/>                
                    <test points = "0" comment = "Big test, n = 1000000, ans = 1242"/>                
                    <test points = "0" comment = "Big test, n = 1000000, ans = 1079"/>                
                    <test points = "0" comment = "Big test, n = 1000000, ans = 1163"/>                
                    <test points = "0" comment = "Big test, n = 1000000, ans = 1078"/>                
                </test-group>

            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>
